Name:           linssid-ex
Version:        3.6
Release:        3%{?dist}
Summary:        Graphical wireless scanner
License:        GPLv3
URL:            https://github.com/chunmeng/linssid-ex
Source0:        https://github.com/chunmeng/linssid-ex/archive/v%{version}-ext2/%{name}-%{version}-ext2.tar.gz
Patch0:         linssid-ex-3.6-fedora.patch
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qwt-qt5-devel
BuildRequires:  boost-devel
BuildRequires:  make
BuildRequires:  gcc-c++
%if 0%{?rhel} == 7
BuildRequires:  devtoolset-9-gcc-c++
%endif
Requires:       iw

%description
LinSSID-ext is based on LinSSID with extended functionalities.
LinSSID displays locally receivable 802.11 wireless attach points
and ad hoc networks. A table is displayed with various parameters
such as MAC address, channel, and signal strength. Graphs are also
displayed with signal strength by channel and signal strength over time.
This is very useful for finding channels with low interference for
setting up a wireless router.


%prep
%setup -q -n %{name}-%{version}-ext2

%patch -P 0 -p1

%build
%if 0%{?rhel} == 7
. /opt/rh/devtoolset-9/enable
%endif

%{qmake_qt5} linssid.pro
%make_build


%install
make install INSTALL_ROOT=%{buildroot}

%files
%license linssid-app/license.txt
%doc README.md linssid-app/README_3.6
%{_bindir}/linssid-pkexec
%{_sbindir}/linssid
%{_datadir}/linssid
%{_datadir}/pixmaps/linssid*
%{_datadir}/applications/linssid.desktop
%{_datadir}/polkit-1/actions/com.warsev.pkexec.linssid.policy

%changelog
